List delivery attempts
curl --request GET \
--url https://api.shelv.dev/v1/webhooks/{id}/deliveries/{jobId}/attempts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.shelv.dev/v1/webhooks/{id}/deliveries/{jobId}/attempts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shelv.dev/v1/webhooks/{id}/deliveries/{jobId}/attempts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shelv.dev/v1/webhooks/{id}/deliveries/{jobId}/attempts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"attemptNumber": 123,
"createdAt": "2023-11-07T05:31:56Z",
"error": "<string>",
"jobPublicId": "<string>",
"latencyMs": 123,
"publicId": "<string>",
"result": "success",
"statusCode": 123
}
]{
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}Webhooks
List delivery attempts
List attempt history for a delivery job.
GET
/
v1
/
webhooks
/
{id}
/
deliveries
/
{jobId}
/
attempts
List delivery attempts
curl --request GET \
--url https://api.shelv.dev/v1/webhooks/{id}/deliveries/{jobId}/attempts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.shelv.dev/v1/webhooks/{id}/deliveries/{jobId}/attempts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shelv.dev/v1/webhooks/{id}/deliveries/{jobId}/attempts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shelv.dev/v1/webhooks/{id}/deliveries/{jobId}/attempts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"attemptNumber": 123,
"createdAt": "2023-11-07T05:31:56Z",
"error": "<string>",
"jobPublicId": "<string>",
"latencyMs": 123,
"publicId": "<string>",
"result": "success",
"statusCode": 123
}
]{
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^wh_[0-9a-f]{24}$Pattern:
^job_[0-9a-f]{24}$Response
List of attempts
Pattern:
^job_[0-9a-f]{24}$Pattern:
^att_[0-9a-f]{24}$Available options:
success, retryable_failure, permanent_failure, canceled 